# PYTHON: Reverse-sort the lines from standard input 
import sys                # bring in a standard library 
lines = sys.__stdin__.readlines() # read every line from stdin into an array! 

def strip_list(my_list): # defining a new function with one argument
  return [x.rstrip() for x in my_list]  #return a new list with whitespace removed
                                        # this structure is called a
                                        # "list comprehension", where
                                        # we create a new variable "x"
                                        # that represents each element
                                        # in the list, allowing us to
                                        # apply a consistent
                                        # transformation (i.e.,
                                        # .rstrip()) to each element in
                                        # the new list!
  # the : loosely means "we're going to enter a new level of control-flow
  # and I'll be tabbing over to show you that" 

stripped_lines = strip_list(lines) # strip whitespace from each line
stripped_lines.sort() # sort them using our comparison 
stripped_lines.reverse() # (in reverse using the "reversed" keyword parameter)
                        # this is a destructive, in-place sort 
for one_line in stripped_lines:  # iterate over every element of that now-sorted array
  print(one_line)      # print automatically creates a newline.   
                       #  Note that we would have had extra blank lines 
                       # if we had not stripped them from each element on line 5
